Package com.enonic.xp.web

## Enum HttpMethod

- java.lang.Object
- - java.lang.Enum<HttpMethod>
  - - com.enonic.xp.web.HttpMethod

- All Implemented Interfaces:
    `Serializable`, `Comparable<HttpMethod>`

      public enum HttpMethod
      extends Enum<HttpMethod>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONNECT` |
    `COPY` |
    `DELETE` |
    `GET` |
    `HEAD` |
    `LOCK` |
    `MKCOL` |
    `MOVE` |
    `OPTIONS` |
    `PATCH` |
    `POST` |
    `PROPFIND` |
    `PROPPATCH` |
    `PUT` |
    `TRACE` |
    `UNLOCK` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EnumSet<HttpMethod>` | `all()` |
    `static EnumSet<HttpMethod>` | `standard()` |
    `static HttpMethod` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static HttpMethod[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GET

          public static final HttpMethod GET

    - #### POST

          public static final HttpMethod POST

    - #### HEAD

          public static final HttpMethod HEAD

    - #### OPTIONS

          public static final HttpMethod OPTIONS

    - #### PUT

          public static final HttpMethod PUT

    - #### DELETE

          public static final HttpMethod DELETE

    - #### TRACE

          public static final HttpMethod TRACE

    - #### CONNECT

          public static final HttpMethod CONNECT

    - #### PATCH

          public static final HttpMethod PATCH

    - #### PROPFIND

          public static final HttpMethod PROPFIND

    - #### PROPPATCH

          public static final HttpMethod PROPPATCH

    - #### MKCOL

          public static final HttpMethod MKCOL

    - #### COPY

          public static final HttpMethod COPY

    - #### MOVE

          public static final HttpMethod MOVE

    - #### LOCK

          public static final HttpMethod LOCK

    - #### UNLOCK

          public static final HttpMethod UNLOCK

  - ### Method Detail

    - #### values

          public static HttpMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HttpMethod c : HttpMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HttpMethod valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### all

          public static EnumSet<HttpMethod> all()

    - #### standard

          public static EnumSet<HttpMethod> standard()